> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/esp/documentacion-de-la-api/upload-files-with-the-geopard-api.md).

# Cargar archivos con la API de GeoPard

{% hint style="success" %}
El método recomendado para archivos de más de 6 MB es el [flujo de URL prefirmada](https://docs.geopard.tech/geopard-tutorials/esp/documentacion-de-la-api/geopard-api-requests-overview/55.-upload-zip-files-over-6-mb.md).
{% endhint %}

La API de GeoPard permite subir archivos ZIP con conjuntos de datos de suelo, rendimiento, labores aplicadas y límites de parcelas para su posterior procesamiento y análisis.

{% hint style="danger" %}
Debido a una limitación de AWS, el tamaño máximo del archivo que puedes subir a través de este endpoint REST es de 6 MB.
{% endhint %}

Los pasos para subir archivos de más de 6 MB se describen en [Subir archivos ZIP (más de 6 MB)](https://docs.geopard.tech/geopard-tutorials/esp/documentacion-de-la-api/geopard-api-requests-overview/55.-upload-zip-files-over-6-mb.md).

Inmediatamente después de subir correctamente el conjunto de datos de suelo, rendimiento o labores aplicadas, el motor de GeoPard lo vincula a las parcelas relacionadas dentro de la explotación definida.

Inmediatamente después de subir correctamente los límites de las parcelas, el motor de GeoPard inicia su procesamiento.

La respuesta contiene un `<uuid>` que puedes usar para hacer un seguimiento del estado del procesamiento.

#### Ejemplo de solicitud:

{% code overflow="wrap" lineNumbers="true" %}

```bash
curl --location --request POST 'https://api.geopard.tech/upload?fileType=<type>&farmUuid=<farm_uuid>' \
--header 'Authorization: <token>' \
--header 'Content-Type: application/zip' \
--data-binary '@path/to/file.zip'
```

{% endcode %}

Los parámetros son:

1. `<type>` - tipo del conjunto de datos que se sube. Debe ser `yield` O `soil` O `applied` O `boundary`.
2. `<farm_uuid>` - el `uuid` de la explotación donde se subirá el archivo (opcional).
3. `<token>` - token de acceso de GeoPard.
4. `@path/to/file.zip` - la ruta al archivo que se va a subir.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/esp/documentacion-de-la-api/upload-files-with-the-geopard-api.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
